#
# spec file for package fira-code-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fira-code-fonts
Version:        6.2
Release:        1.5
Summary:        Free monospaced font with programming ligatures
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/tonsky/FiraCode
Source0:        https://github.com/tonsky/FiraCode/releases/download/%{version}/Fira_Code_v%{version}.zip
Source100:      https://raw.githubusercontent.com/tonsky/FiraCode/%{version}/LICENSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%reconfigure_fonts_prereq

%description
Fira Code is a free monospaced font containing ligatures for common programming multi-character combinations. This is just a font rendering feature: underlying code remains ASCII-compatible. This helps to read and understand code faster.

%prep
unzip -qq %{_sourcedir}/Fira_Code_v%{version}.zip '*.ttf' '*.txt'
cp %{SOURCE100} .

%build

%install
mkdir -p %{buildroot}/%{_ttfontsdir}
install -c -m 644 ttf/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets -c

%files
%license LICENSE
%doc README.txt
%{_ttfontsdir}

%changelog
* Wed Dec 15 2021 tiwai@suse.de
- Fix LICENSE file, to be identical with the downloaded file
* Wed Dec  8 2021 Benedikt Fein <benedikt.fein@gmail.com>
- update to v6.2
  https://github.com/tonsky/FiraCode/releases/tag/6
  https://github.com/tonsky/FiraCode/releases/tag/6.1
  https://github.com/tonsky/FiraCode/releases/tag/6.2
* Sun Mar  7 2021 slbtty <shenlebantongying@gmail.com>
- fix incorrect changelog format.
* Fri Jun 12 2020 GuinuxBR <guinuxbr@gmail.com>
- update to v5.2
  https://github.com/tonsky/FiraCode/releases/tag/5.2
* Wed Jun 10 2020 GuinuxBR <guinuxbr@gmail.com>
- update to v5.1
  https://github.com/tonsky/FiraCode/releases/tag/5.1
* Tue Jun  9 2020 GuinuxBR <guinuxbr@gmail.com>
- initial build v5
  https://github.com/tonsky/FiraCode/releases/tag/5
